<?php

use UnicaenCode\Form\AbstractForm;
use UnicaenCode\Form\ElementMaker;
use UnicaenCode\Util;

/**
 * @var $this       \Application\View\Renderer\PhpRenderer
 * @var $controller \Laminas\Mvc\Controller\AbstractController
 * @var $container  \Psr\Container\ContainerInterface
 * @var $viewName   string
 * @var $viewFile   string
 */

$cg = \UnicaenCode\Util::codeGenerator();

$params = [
    'title'    => 'Génération d\'une TemplateMap pour optimiser le traitement des vues',
    'template' => 'template_map',
    'module' => [
        'label' => 'Module concerné',
        'type'  => 'selectModule',
    ],

    'generator' => function (array $params) {
        $moduleName = $params['module'];
        $module     = Util::introspection()->getModule($moduleName);
        $map        = Util::introspection()->getViews($moduleName);

        $mc = 0;
        foreach ($map as $f) {
            $lc = strlen($f);
            if ($lc > $mc) $mc = $lc;
        }
        $php = '';
        foreach ($map as $f) {
            $c   = $f;
            $php .= "    " . str_pad("'$c'", $mc + 2, ' ') . " => __DIR__ . '/" . $module['viewDir'] . "/$f.phtml',\n";
        }

        $params['filename'] = $module['relPath'] . '/template_map.php';
        $params['map'] = trim($php);

        return $params;
    },
];

$cg->generer($params);