<?php

namespace UnicaenCode\Generator;

use UnicaenCode\Util;

class Form implements GeneratorInterface
{
    /**
     * @param array $params
     *
     * Paramètres en entrée :
     *
     * - class => string nom de la classe pour laquelle le AwareTrait sera généré
     * - type => Form ou Fieldset
     * - useHydrator => Mettre en place un squelette d'hydrateur ou non
     *
     * @return array
     */
    public function generate(array $params): array
    {
        $class       = $params['class'] ?? null;
        $type        = $params['type'] ?? Util::classType($class) ?? 'Form';
        $author      = $params['author'] ?? Util::getAuthor();
        $template    = $params['template'] ?? 'Form';
        $useHydrator = $params['useHydrator'] ?? true;

        $namespace = Util::classNamespace($class);
        $classname = Util::classClassname($class);
        $filename  = Util::classFilename($class);

        $params['namespace']   = $namespace;
        $params['classname']   = $classname;
        $params['author']      = $author;
        $params['template']    = $template;
        $params['type']        = $type;
        $params['useHydrator'] = $useHydrator;
        $params['filename']    = $filename;

        return $params;
    }
}