<?php

namespace UnicaenCode\Generator;

use UnicaenCode\Util;

class ViewHelper implements GeneratorInterface
{
    /**
     * @param array $params
     *
     * Paramètres en entrée :
     *
     * - class => string nom de la classe pour laquelle le AwareTrait sera généré
     *
     * @return array
     */
    public function generate(array $params): array
    {
        $type     = 'ViewHelper';
        $class    = $params['class'] ?? null;
        $author   = $params['author'] ?? Util::getAuthor();
        $template = $params['template'] ?? 'ViewHelper';


        $namespace = Util::classNamespace($class);
        $classname = Util::classClassname($class);
        $filename  = Util::classFilename($class);

        $params['namespace'] = $namespace;
        $params['classname'] = $classname;
        $params['author']    = $author;
        $params['template']  = $template;
        $params['type']      = $type;
        $params['filename']  = $filename;

        return $params;
    }
}